Search
Introduction
This API allows users to search for LEI(Legal Entity Identifier) details
How to call the API
You are required to pass the access token received from the login call to the authorization header of the request.
API Input Guidelines
You need to pass the lei, companyName and uniqueIdentifier in the request body and access token received from login in the respective authorization header.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/...patronId.../lei' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
---data '{
"task": "search",
"essentials": {
"lei": "...lei...",
"companyName": "...companyName...",
"uniqueIdentifier": "...uniqueIdentifier..."
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
task | The task to be performed - "search" |
essentials | Contains the essential input data |
essentials.lei | Legal Entity Identifier |
essentials.companyName | Name of company |
essentials.uniqueIdentifier | Unique Identifier |
Sample Response
{
"task": "search",
"essentials": {
"lei": "...lei...",
"companyName": "...companyName...",
"uniqueIdentifier": "...uniqueIdentifier..."
},
"id": "...id...",
"patronId": "...patronId...",
"result": [
{
"lei": "...lei...",
"legalName": "...legalName...",
"legalAddress": {
"firstAddressLine": "...firstAddressLine...",
"secondAddressLine": "...secondAddressLine...",
"thirdAddressLine": "...thirdAddressLine...",
"city": "...city...",
"region": "...region...",
"country": "...country...",
"postalCode": "...postalCode..."
},
"headquarters": {
"firstAddressLine": "...firstAddressLine...",
"secondAddressLine": "...secondAddressLine...",
"thirdAddressLine": "...thirdAddressLine...",
"city": "...city...",
"region": "...region...",
"country": "...country...",
"postalCode": "...postalCode..."
},
"registrationAuthority": {
"id": "...id...",
"name": "...name...",
"entityId": "...entityId..."
},
"legalJurisdiction": "...legalJurisdiction...",
"legalForm": {
"code": "...code...",
"description": "...description..."
},
"status": "...status...",
"initialRegistrationDate": "...initialRegistrationDate...",
"lastUpdateDate": "...lastUpdateDate...",
"registrationStatus": "...registrationStatus...",
"renewalDate": "...renewalDate...",
"managingLOU": {
"lei": "...lei...",
"name": "...name..."
},
"corroborationLevel": "...corroborationLevel...",
"validationAuthorityId": "...validationAuthorityId...",
"validationAuthorityEntityId": "...validationAuthorityEntityId...",
"relationships": [
{
"relation": {
"entityOne": "...entityOne...",
"entityTwo": "...entityTwo...",
"relationship": "...relationship...",
"status": "...status...",
"relationshipPeriods": [
{
"startDate": "...startDate...",
"endDate": "...endDate...",
"periodType": "...periodType..."
}
],
"qualifiers": {
"dimension": "...dimension...",
"category": "...category..."
},
"initialRegistrationDate": "...initialRegistrationDate...",
"lastUpdateDate": "...lastUpdateDate...",
"registrationStatus": "...registrationStatus...",
"nextRenewalDate": "...nextRenewalDate...",
"managingLOU": "...managingLOU...",
"validationSources": "...validationSources...",
"validationDocuments": "...validationDocuments..."
}
}
]
}
]
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
task | The task to be performed - "search" |
essentials | Contains "essentials" key of the request body |
essentials.lei | Legal Entity Identifier |
essentials.companyName | Name of company |
essentials.uniqueIdentifier | Unique Identifier |
id | Unique id of user |
patronId | Unique patronId of user |
result | The resulting array containing search results |
result[index].lei | Legal Identity Identifier |
result[index].legalName | Legal name |
result[index].legalAddress | Legal address object |
result[index].legalAddress.firstAddressLine | First address line |
result[index].legalAddress.secondAddressLine | Second address line |
result[index].legalAddress.thirdAddressLine | Third address line |
result[index].legalAddress.city | City |
result[index].legalAddress.region | Region |
result[index].legalAddress.country | Country |
result[index].legalAddress.postalCode | Postal code |
result[index].headquarters | Headquarters object |
result[index].headquarters.firstAddressLine | First address Line |
result[index].headquarters.secondAddressLine | Second address Line |
result[index].headquarters.thirdAddressLine | Third address Line |
result[index].headquarters.city | City |
result[index].headquarters.region | Region |
result[index].headquarters.country | Country |
result[index].headquarters.postalCode | Postal Code |
result[index].registrationAuthority | Registration authority object |
result[index].registrationAuthority.id | Id |
result[index].registrationAuthority.name | Name |
result[index].registrationAuthority.entityId | Entity id |
result[index].legalJurisdiction | Legal jurisdiction |
result[index].legalForm | Legal form object |
result[index].legalForm.code | Code |
result[index].legalForm.description | Description |
result[index].status | Status |
result[index].initialRegistrationDate | Initial registraion date |
result[index].lastUpdateDate | Last update date |
result[index].registrationStatus | Registration status |
result[index].renewalDate | Renewal date |
result[index].managingLOU | Managing LOU object |
result[index].managingLOU.lei | Legal Entity Identifier |
result[index].managingLOU.name | Name |
result[index].corroborationLevel | Corroboration level |
result[index].validationAuthorityId | Validation authority id |
result[index].validationAuthorityEntityId | Validation authority entity id |
result[index].relationships[index1] | Relationships array |
result[index].relationships[index1].relation | Relation object |
result[index].relationships[index1].relation.entityOne | Entity one |
result[index].relationships[index1].relation.entityTwo | Entity two |
result[index].relationships[index1].relation.relationship | Relationship |
result[index].relationships[index1].relation.status | Status |
result[index].relationships[index1].relation.relationshipPeriods | Relationship Periods object |
result[index].relationships[index1].relation.relationshipPeriods.startDate | Start date |
result[index].relationships[index1].relation.relationshipPeriods.endDate | End date |
result[index].relationships[index1].relation.relationshipPeriods.periodType | Period type |
result[index].relationships[index1].relation.qualifiers | Qualifiers object |
result[index].relationships[index1].relation.qualifiers.dimension | Dimension |
result[index].relationships[index1].relation.qualifiers.category | Category |
result[index].relationships[index1].relation.initialRegistrationDate | Initial registration date |
result[index].relationships[index1].relation.lastUpdateDate | Last update date |
result[index].relationships[index1].relation.registrationStatus | Registration status |
result[index].relationships[index1].relation.nextRenewalDate | Next renewal date |
result[index].relationships[index1].relation.managingLOU | Managing LOU |
result[index].relationships[index1].relation.validationSources | Validation sources |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
409 | Unable to complete the request at the moment! |
404 | No Record Found |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].